;====================================================================
; webpage.d
; Web page sample that demonstrates the use of the macros in
; widgets.ih
; February 15, 1999
; Chris Wenham. chris@os2ezine.com
; Written for OS/2 e-Zine! (http://www.os2ezine.com/) and the
; Building Dynamic Web Sites in OS/2 series
; http://www.os2ezine.com/v4n3/dws.htm for more.
;====================================================================

; To compile this page and make it ready for publication on the web:
;
; 1) Open an OS/2 window.
; 2) Change directory to where you unpacked these files
; 3) Make sure webpage.d and widgets.ih are there
; 4) Type "ppwizard webpage.d"
; 5) Check your results in Netscape or other browser.

; Our recommendation is to use ".ih" as the extension for header
; files that contain macros and usefull defenitions. And ".d" for
; your actual web pages or documents that will make use of those
; headers. This way, you can compile everything with
; "ppwizard *.d" and not worry about accidentally compiling the
; headers by mistake.

; Now for the actual web page's code...

;--- Include all our widgets so we can use them ---------------------
#include widgets.ih

;--- Start the HTML -------------------------------------------------
<html>
<head>
<title>Example web page</title>
;--- Add the javascript that opens popup windows --------------------
<$JavascriptWidgets>
</head>

<body bgcolor=#ffffff>

<h1>Example Web Page</h1>

<p><$img src="e-zine.gif" alt="OS/2 e-Zine!" align="right">

<p>This web page shows off some of the widgets described in the <a href="http://www.os2ezine.com/">OS/2 <em>e-Zine!</em></a> series called <a href="http://www.os2ezine.com/v4n3/dws.htm">"Building Dynamic Web Sites in OS/2"</a>.

<p>If you have any comments, send mail to <$Email>

<p>A <$Screenshot shot="screen1.gif" text="screenshot of this page"> in action is also available (woah, recursion!).

</body>
</html>

; And that's it!



